# FdoIReader Class Reference

`#include <IReader.h>`

Inheritance diagram for FdoIReader:

[legend]

List of all members.

## Detailed Description

The FdoIFeatureReader interface provides a forward-only, read-only iterator for reading feature data. A reference to an FdoIFeatureReader is returned from the Select and SelectAndLock commands. Because the initial position of the FdoIFeatureReader is prior to the first item, you must call ReadNext to begin accessing any data.

Definition at line 37 of file IReader.h.

## Public Member Functions
virtual FDO_API void | Close ()=0
| Closes the FdoIFeatureReader object, freeing any resources it may be holding.
virtual FDO_API bool | GetBoolean (FdoString *propertyName)=0
| Gets the Boolean value of the specified property. No conversion is performed, thus the property must be FdoDataType_Boolean or an exception is thrown.
virtual FDO_API FdoByte | GetByte (FdoString *propertyName)=0
| Gets the byte value of the specified property. No conversion is performed, thus the property must be FdoDataType_Byte or an exception is thrown.
virtual FDO_API FdoDateTime | GetDateTime (FdoString *propertyName)=0
| Gets the date and time value of the specified property. No conversion is performed, thus the property must be FdoDataType_DateTime or an exception is thrown.
virtual FDO_API double | GetDouble (FdoString *propertyName)=0
| Gets the double-precision floating point value of the specified property. No conversion is performed, thus the property must be FdoDataType_Double or an exception is thrown.
virtual FDO_API FdoByteArray * | GetGeometry (FdoString *propertyName)=0
| Gets the geometry value of the specified property as a byte array in FGF format. Because no conversion is performed, the property must be of Geometric type; otherwise, an exception is thrown.
virtual FDO_API FdoInt16 | GetInt16 (FdoString *propertyName)=0
| Gets the 16-bit integer value of the specified property. No conversion is performed, thus the property must be FdoDataType_Int16 or an exception is thrown.
virtual FDO_API FdoInt32 | GetInt32 (FdoString *propertyName)=0
| Gets the 32-bit integer value of the specified property. No conversion is performed, thus the property must be FdoDataType_Int32 or an exception is thrown.
virtual FDO_API FdoInt64 | GetInt64 (FdoString *propertyName)=0
| Gets the 64-bit integer value of the specified property. No conversion is performed, thus the property must be FdoDataType_Int64 or an exception is thrown.
virtual FDO_API FdoLOBValue * | GetLOB (FdoString *propertyName)=0
| Gets a LOBValue reference. The LOB is fully read in and data available. Because no conversion is performed, the property must be FdoDataType_BLOB or FdoDataType_CLOB etc. (a LOB type).
virtual FDO_API FdoIStreamReader * | GetLOBStreamReader (const wchar_t *propertyName)=0
| Gets a reference of the specified LOB property as a FdoBLOBStreamReader or FdoCLOBStreamReader etc. to allow reading in blocks of data. Because no conversion is performed, the property must be FdoDataType_BLOB or FdoDataType_CLOB etc. (a LOB type) Cast the FdoIStreamReader to the appropiate LOB Stream Reader.
virtual FDO_API FdoIRaster * | GetRaster (FdoString *propertyName)=0
| Gets the raster object of the specified property. Because no conversion is performed, the property must be of Raster type; otherwise, an exception is thrown.
virtual FDO_API float | GetSingle (FdoString *propertyName)=0
| Gets the Single floating point value of the specified property. No conversion is performed, thus the property must be FdoDataType_Single or an exception is thrown.
virtual FDO_API FdoString * | GetString (FdoString *propertyName)=0
| Gets the string value of the specified property. No conversion is performed, thus the property must be FdoDataType_String or an exception is thrown.
virtual FDO_API bool | IsNull (FdoString *propertyName)=0
| Returns true if the value of the specified property is null.
virtual FDO_API bool | ReadNext ()=0
| Advances the reader to the next item and returns true if there is another object to read or false if reading is complete. The default position of the reader is prior to the first item. Thus you must call ReadNext to begin accessing any data.

The documentation for this class was generated from the following file:

- IReader.h